Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class GeneralAttrCheck

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.GeneralAttrCheck

public class GeneralAttrCheck
extends java.lang.Object

Title: Description: Copyright: Copyright (c) 2001

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  1.0

Field Summary
`static int` | `ATT_OPT_DFLT`
`static int` | `ATT_OPT_NODFLT`
`static int` | `ATT_REQUIRED`
`protected static int` | `DT_ANYURI`
`protected static int` | `DT_BLOCK`
`protected static int` | `DT_BLOCK1`
`protected static int` | `DT_BOOLEAN`
`protected static int` | `DT_FINAL`
`protected static int` | `DT_FINAL1`
`protected static int` | `DT_FORM`
`protected static int` | `DT_ID`
`protected static int` | `DT_MAXOCCURS`
`protected static int` | `DT_MAXOCCURS1`
`protected static int` | `DT_MEMBERTYPES`
`protected static int` | `DT_MINOCCURS1`
`protected static int` | `DT_NAMESPACE`
`protected static int` | `DT_NCNAME`
`protected static int` | `DT_NONNEGINT`
`protected static int` | `DT_PROCESSCONTENTS`
`protected static int` | `DT_PUBLIC`
`protected static int` | `DT_QNAME`
`protected static int` | `DT_STRING`
`protected static int` | `DT_TOKEN`
`protected static int` | `DT_USE`
`protected static int` | `DT_WHITESPACE`
`protected static int` | `DT_XPATH`
`protected static int` | `DT_XPATH1`
`protected static int` | `dtCount`
`static int` | `ELE_CONTEXT_GLOBAL`
`static int` | `ELE_CONTEXT_LOCAL`
`protected static java.util.Hashtable` | `fEleAttrsMap`
`protected XMLErrorReporter` | `fErrorReporter`
`protected static DatatypeValidator[]` | `fExtraDVs`
`protected java.util.Hashtable` | `fNonSchemaAttrs`
`protected java.util.Hashtable` | `fProcessedElements`
`protected static java.lang.String` | `PRE_GLOBAL`
`protected static java.lang.String` | `PRE_LOC_NAME`
`protected static java.lang.String` | `PRE_LOC_REF`

Constructor Summary
`GeneralAttrCheck(XMLErrorReporter er, DatatypeValidatorFactoryImpl datatypeRegistry)`

Method Summary
`java.util.Hashtable` | `checkAttributes(org.w3c.dom.Element element, int eleContext)`
`void` | `checkNonSchemaAttributes(GrammarResolver grammarResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELE_CONTEXT_GLOBAL

    public static int ELE_CONTEXT_GLOBAL

### ELE_CONTEXT_LOCAL

    public static int ELE_CONTEXT_LOCAL

### ATT_REQUIRED

    public static int ATT_REQUIRED

### ATT_OPT_DFLT

    public static int ATT_OPT_DFLT

### ATT_OPT_NODFLT

    public static int ATT_OPT_NODFLT

### PRE_GLOBAL

    protected static java.lang.String PRE_GLOBAL

### PRE_LOC_NAME

    protected static java.lang.String PRE_LOC_NAME

### PRE_LOC_REF

    protected static java.lang.String PRE_LOC_REF

### fEleAttrsMap

    protected static java.util.Hashtable fEleAttrsMap

### fExtraDVs

    protected static DatatypeValidator[] fExtraDVs

### dtCount

    protected static int dtCount

### DT_ANYURI

    protected static final int DT_ANYURI

### DT_BOOLEAN

    protected static final int DT_BOOLEAN

### DT_ID

    protected static final int DT_ID

### DT_NONNEGINT

    protected static final int DT_NONNEGINT

### DT_QNAME

    protected static final int DT_QNAME

### DT_STRING

    protected static final int DT_STRING

### DT_TOKEN

    protected static final int DT_TOKEN

### DT_NCNAME

    protected static final int DT_NCNAME

### DT_XPATH

    protected static final int DT_XPATH

### DT_XPATH1

    protected static final int DT_XPATH1

### DT_BLOCK

    protected static final int DT_BLOCK

### DT_BLOCK1

    protected static final int DT_BLOCK1

### DT_FINAL

    protected static final int DT_FINAL

### DT_FINAL1

    protected static final int DT_FINAL1

### DT_FORM

    protected static final int DT_FORM

### DT_MAXOCCURS

    protected static final int DT_MAXOCCURS

### DT_MAXOCCURS1

    protected static final int DT_MAXOCCURS1

### DT_MEMBERTYPES

    protected static final int DT_MEMBERTYPES

### DT_MINOCCURS1

    protected static final int DT_MINOCCURS1

### DT_NAMESPACE

    protected static final int DT_NAMESPACE

### DT_PROCESSCONTENTS

    protected static final int DT_PROCESSCONTENTS

### DT_PUBLIC

    protected static final int DT_PUBLIC

### DT_USE

    protected static final int DT_USE

### DT_WHITESPACE

    protected static final int DT_WHITESPACE

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

### fProcessedElements

    protected java.util.Hashtable fProcessedElements

### fNonSchemaAttrs

    protected java.util.Hashtable fNonSchemaAttrs

Constructor Detail

### GeneralAttrCheck

    public GeneralAttrCheck(XMLErrorReporter er,
                            DatatypeValidatorFactoryImpl datatypeRegistry)

Method Detail

### checkAttributes

    public java.util.Hashtable checkAttributes(org.w3c.dom.Element element,
                                               int eleContext)
                                        throws java.lang.Exception

### checkNonSchemaAttributes

    public void checkNonSchemaAttributes(GrammarResolver grammarResolver)
                                  throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference